Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/Application.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/Application.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,77 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications;
-
-import jakarta.persistence.*;
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import lombok.NoArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.ApplicationStatus;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.JobAdvertisement;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.JobSeeker;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.User;
-
-import java.time.LocalDateTime;
-import java.util.HashMap;
-import java.util.List;
-
-@Entity
-@NoArgsConstructor
-@AllArgsConstructor
-@Data
-@Table(name = "applications")
-public class Application {
-
-    @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
-    private Long id;
-
-    @ManyToOne
-    private JobSeeker jobSeeker;
-
-    @ManyToOne
-    private JobAdvertisement jobAdvertisement;
-
-    @Column(name = "resume_file_name", nullable = true)
-    private String resumeFilePath;
-
-    @ElementCollection
-    private List<String> questionAnswers;
-
-    private String message;
-
-    private LocalDateTime submittedOn;
-
-    @Enumerated(EnumType.STRING)
-    private ApplicationStatus status;
-
-    public Application(JobSeeker jobSeeker, JobAdvertisement jobAdvertisement, List<String> answers, String message) {
-        this.jobSeeker = jobSeeker;
-        this.jobAdvertisement = jobAdvertisement;
-        this.resumeFilePath = "";
-        this.questionAnswers = answers;
-        this.message = message;
-        submittedOn = LocalDateTime.now();
-        this.status = ApplicationStatus.PROPOSED;
-    }
-
-    public static ApplicationDetailsDTO mapToApplicationDetailsDTO (Application application) {
-        return new ApplicationDetailsDTO(
-                application.getId(),
-                application.getJobSeeker().getId(),
-                application.getJobSeeker().getName(),
-                application.getJobSeeker().getEmail(),
-                application.getJobSeeker().getPhoneNumber(),
-                application.getJobAdvertisement().getRecruiter().getId(),
-                application.getJobAdvertisement().getRecruiter().getName(),
-                application.getJobAdvertisement().getRecruiter().getContactEmailAddress(),
-                application.getJobAdvertisement().getRecruiter().getContactPhoneNumber(),
-                application.getJobAdvertisement().getId(),
-                application.getJobAdvertisement().getTitle(),
-                application.getQuestionAnswers(),
-                application.getResumeFilePath(),
-                application.getMessage(),
-                application.getSubmittedOn(),
-                application.getStatus().name()
-        );
-    }
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/DTO/ApplicationDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/DTO/ApplicationDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,17 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import org.springframework.web.multipart.MultipartFile;
-
-@Data
-@AllArgsConstructor
-public class ApplicationDTO {
-    private Long jobSeekerId;
-    private Long jobAdId;
-    private MultipartFile resumeFile;
-    private String answerOne;
-    private String answerTwo;
-    private String answerThree;
-    private String messageToRecruiter;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/DTO/ApplicationDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/DTO/ApplicationDetailsDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,31 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO;
-
-import jakarta.persistence.EnumType;
-import jakarta.persistence.Enumerated;
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.ApplicationStatus;
-
-import java.time.LocalDateTime;
-import java.util.List;
-
-@Data
-@AllArgsConstructor
-public class ApplicationDetailsDTO {
-    private Long id;
-    private Long jobSeekerId;
-    private String jobSeekerName;
-    private String jobSeekerEmail;
-    private String jobSeekerPhoneNumber;
-    private Long recruiterId;
-    private String recruiterName;
-    private String recruiterEmail;
-    private String recruiterPhoneNumber;
-    private Long jobAdId;
-    private String jobAdTitle;
-    private List<String> questionAnswers;
-    private String fileName;
-    private String message;
-    private LocalDateTime submittedOn;
-    private String status;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/DTO/ApplicationStatusDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/applications/DTO/ApplicationStatusDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,11 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-
-@Data
-@AllArgsConstructor
-public class ApplicationStatusDTO {
-    Long id;
-    String status;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/ApplicationStatus.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/ApplicationStatus.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,5 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations;
-
-public enum ApplicationStatus {
-    PROPOSED, UNDER_REVIEW, ACCEPTED, DENIED
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/EmploymentStatus.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/EmploymentStatus.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,5 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations;
-
-public enum EmploymentStatus {
-    FULL_TIME, PART_TIME
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/JobType.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/JobType.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,5 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations;
-
-public enum JobType {
-    JOB, INTERNSHIP
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdDetailsDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,21 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-
-@Data
-@AllArgsConstructor
-public class JobAdDetailsDTO {
-    private String recruiterName;
-    private Long recruiterId;
-    private final Long id;
-    private String title;
-    private String description;
-    private String industry;
-    private int startingSalary;
-    private String postedOn;
-    private String activeUntil;
-    private boolean isActive;
-    private String jobType;
-    private String employmentStatus;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdFilterDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdFilterDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,12 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-
-@Data
-@AllArgsConstructor
-public class JobAdFilterDTO {
-    String searchTerm;
-    String industry;
-    String sortOrder;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdvertisementDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdvertisementDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,21 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import lombok.NoArgsConstructor;
-
-import java.util.Date;
-
-@Data
-@AllArgsConstructor
-@NoArgsConstructor
-public class JobAdvertisementDTO {
-    private Long id;
-    private String title;
-    private String description;
-    private String industry;
-    private int startingSalary;
-    private String activeUntil;
-    private String jobType;
-    private String employmentStatus;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/JobAdvertisement.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/JobAdvertisement.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,83 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements;
-
-import jakarta.persistence.*;
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import lombok.NoArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.EmploymentStatus;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.JobType;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.User;
-
-import java.time.LocalDate;
-import java.time.LocalDateTime;
-
-@Entity
-@NoArgsConstructor
-@AllArgsConstructor
-@Data
-@Table(name = "job_advertisements")
-public class JobAdvertisement {
-
-    public JobAdvertisement(Recruiter recruiter, String title, String description, String industry, int startingSalary, LocalDate activeUntil, JobType jobType, EmploymentStatus employmentStatus) {
-        this.recruiter = recruiter;
-        this.title = title;
-        this.description = description;
-        this.industry = industry;
-        this.startingSalary = startingSalary;
-        this.postedOn = LocalDateTime.now();
-        this.activeUntil = activeUntil;
-        this.isActive = true;
-        this.jobType = jobType;
-        this.employmentStatus = employmentStatus;
-    }
-
-    @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
-    private Long id;
-
-    @ManyToOne
-    private Recruiter recruiter;
-
-    private String title;
-
-    @Column(columnDefinition="TEXT")
-    private String description;
-
-    private String industry;
-    private int startingSalary;
-    private LocalDateTime postedOn;
-    private LocalDate activeUntil;
-    private boolean isActive;
-
-    @Enumerated(EnumType.STRING)
-    JobType jobType;
-
-    @Enumerated(EnumType.STRING)
-    EmploymentStatus employmentStatus;
-
-    public boolean isJobAdActive() {
-        LocalDate date = LocalDate.now();
-        return date.isBefore(activeUntil);
-    }
-
-    public static JobAdDetailsDTO mapToJobAdDetailsDTO(JobAdvertisement jobAdvertisement) {
-
-        return new JobAdDetailsDTO(
-                jobAdvertisement.getRecruiter().getName(),
-                jobAdvertisement.getRecruiter().getId(),
-                jobAdvertisement.getId(),
-                jobAdvertisement.getTitle(),
-                jobAdvertisement.getDescription(),
-                jobAdvertisement.getIndustry(),
-                jobAdvertisement.getStartingSalary(),
-                jobAdvertisement.getPostedOn().toString(),
-                jobAdvertisement.getActiveUntil().toString(),
-                jobAdvertisement.isJobAdActive(),
-                jobAdvertisement.getJobType().name(),
-                jobAdvertisement.getEmploymentStatus().name()
-        );
-    }
-
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Admin.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Admin.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Admin.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -4,19 +4,20 @@
 import jakarta.persistence.Table;
 import lombok.AllArgsConstructor;
+import lombok.Builder;
 import lombok.Data;
 import lombok.NoArgsConstructor;
 
 @Entity
-@Data
-@NoArgsConstructor
+//@Data
+//@NoArgsConstructor
+//@AllArgsConstructor
+//@Builder
 @Table(name = "admins")
 public class Admin extends User {
-
-//    private String name;
-//    private String surname;
-
     @Override
     public String getName() {
         return "Admin";
     }
+//    private String name;
+//    private String surname;
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JobSeekerEditDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JobSeekerEditDetailsDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,15 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import lombok.NoArgsConstructor;
-
-@Data
-@AllArgsConstructor
-@NoArgsConstructor
-public class JobSeekerEditDetailsDTO {
-    private String email;
-    private String firstName;
-    private String lastName;
-    private String phoneNumber;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JwtAuthResponse.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JwtAuthResponse.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JwtAuthResponse.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -10,9 +10,7 @@
 @NoArgsConstructor
 public class JwtAuthResponse {
-    private Long id;
     private String email;
     private String name;
     private String role;
-    private boolean hasAccess;
     private String token;
     private String refreshToken;
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterAdminDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterAdminDetailsDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,22 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import lombok.NoArgsConstructor;
-
-import java.time.LocalDateTime;
-
-@Data
-@AllArgsConstructor
-@NoArgsConstructor
-public class RecruiterAdminDetailsDTO {
-    private Long id;
-    private String email;
-    private String companyName;
-    private String companyDescription;
-    private String contactEmail;
-    private String contactPhoneNumber;
-    private String receptionist;
-    private boolean hasAccess;
-    private LocalDateTime registeredOn;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterDetailsDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,18 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO;
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import lombok.NoArgsConstructor;
-
-import java.time.LocalDateTime;
-
-@Data
-@AllArgsConstructor
-@NoArgsConstructor
-public class RecruiterDetailsDTO {
-    private String companyName;
-    private String companyDescription;
-    private String contactEmail;
-    private String contactPhoneNumber;
-    private String receptionist;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterEditDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterEditDetailsDTO.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,18 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO;
-
-
-import lombok.AllArgsConstructor;
-import lombok.Data;
-import lombok.NoArgsConstructor;
-
-@Data
-@AllArgsConstructor
-@NoArgsConstructor
-public class RecruiterEditDetailsDTO {
-    private String email;
-    private String companyName;
-    private String companyDescription;
-    private String contactEmail;
-    private String contactPhoneNumber;
-    private String receptionist;
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/JobSeeker.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/JobSeeker.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/JobSeeker.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -5,9 +5,8 @@
 import jakarta.persistence.Table;
 import lombok.AllArgsConstructor;
+import lombok.Builder;
 import lombok.Data;
 import lombok.NoArgsConstructor;
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.Role;
-
-import java.nio.file.Paths;
 
 @Entity
@@ -15,4 +14,5 @@
 @NoArgsConstructor
 @AllArgsConstructor
+@Builder
 @Table(name = "job_seekers")
 public class JobSeeker extends User {
@@ -24,8 +24,4 @@
         this.lastName = lastName;
         this.phoneNumber = phoneNumber;
-
-        String relativeProfilePicFilePath = Paths.get("uploads", "job-seekers", "profile-pics", "default-profile-pic.png").toString();
-        this.profilePicFilePath = relativeProfilePicFilePath;
-
         this.role = Role.ROLE_JOBSEEKER;
     }
@@ -40,6 +36,4 @@
     private String phoneNumber;
 
-    private String profilePicFilePath;
-
     @Override
     public String getName() {
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Recruiter.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Recruiter.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Recruiter.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -9,9 +9,8 @@
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.Role;
 
-import java.nio.file.Paths;
-
 @Entity
 @Data
 @NoArgsConstructor
+@AllArgsConstructor
 @Table(name = "recruiters")
 public class Recruiter extends User {
@@ -22,10 +21,5 @@
         this.companyName = companyName;
         this.companyDescription = "";
-        this.contactEmailAddress = email;
-        this.contactPhoneNumber = phoneNumber;
-        this.receptionist = "";
-
-        String relativeLogoFilePath = Paths.get("uploads", "logo", "default-company-logo.png").toString();
-        this.logoFilePath = relativeLogoFilePath;
+        this.phoneNumber = phoneNumber;
         this.role = Role.ROLE_RECRUITER;
     }
@@ -37,11 +31,6 @@
     private String companyDescription;
 
-    private String contactEmailAddress;
-
-    private String contactPhoneNumber;
-
-    private String receptionist;
-
-    private String logoFilePath;
+    @Column(name = "phone_number")
+    private String phoneNumber;
 
     @Override
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/User.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/User.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/User.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -11,14 +11,13 @@
 import org.springframework.security.core.userdetails.UserDetails;
 
-import java.time.LocalDateTime;
 import java.util.Collection;
 import java.util.List;
 
 @Entity
+@Inheritance(strategy = InheritanceType.JOINED)
+@Table(name = "users")
 @Data
 @NoArgsConstructor
 @AllArgsConstructor
-@Inheritance(strategy = InheritanceType.JOINED)
-@Table(name = "users")
 public abstract class User implements UserDetails {
 
@@ -33,9 +32,4 @@
     @Enumerated(EnumType.STRING)
     protected Role role;
-
-    @Column(name = "has_access")
-    protected boolean hasAccess;
-
-    protected LocalDateTime registeredOn;
 
 
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/JobSeekerMapper.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/JobSeekerMapper.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/JobSeekerMapper.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -2,8 +2,5 @@
 
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.JobSeekerDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.JobSeekerEditDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterEditDetailsDTO;
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.JobSeeker;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
 
 public class JobSeekerMapper {
@@ -29,12 +26,4 @@
     }
 
-    public static JobSeekerEditDetailsDTO mapToJobSeekerEditDetailsDTO(JobSeeker jobSeeker) {
-        return new JobSeekerEditDetailsDTO(
-                jobSeeker.getEmail(),
-                jobSeeker.getFirstName(),
-                jobSeeker.getLastName(),
-                jobSeeker.getPhoneNumber()
-        );
-    }
 
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/RecruiterMapper.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/RecruiterMapper.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/RecruiterMapper.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,8 +1,5 @@
 package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.mappers;
 
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterAdminDetailsDTO;
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterEditDetailsDTO;
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
 
@@ -14,39 +11,5 @@
                 recruiter.getPassword(),
                 recruiter.getCompanyName(),
-                recruiter.getContactPhoneNumber()
-        );
-    }
-
-    public static RecruiterDetailsDTO mapToRecruiterDetailsDTO(Recruiter recruiter) {
-        return new RecruiterDetailsDTO(
-                recruiter.getCompanyName(),
-                recruiter.getCompanyDescription(),
-                recruiter.getContactEmailAddress(),
-                recruiter.getContactPhoneNumber(),
-                recruiter.getReceptionist()
-        );
-    }
-    public static RecruiterEditDetailsDTO mapToRecruiterEditDetailsDTO(Recruiter recruiter) {
-        return new RecruiterEditDetailsDTO(
-                recruiter.getEmail(),
-                recruiter.getCompanyName(),
-                recruiter.getCompanyDescription(),
-                recruiter.getContactEmailAddress(),
-                recruiter.getContactPhoneNumber(),
-                recruiter.getReceptionist()
-        );
-    }
-
-    public static RecruiterAdminDetailsDTO mapToRecruiterAdminDetailsDTO(Recruiter recruiter) {
-        return new RecruiterAdminDetailsDTO(
-                recruiter.getId(),
-                recruiter.getEmail(),
-                recruiter.getCompanyName(),
-                recruiter.getCompanyDescription(),
-                recruiter.getContactEmailAddress(),
-                recruiter.getContactPhoneNumber(),
-                recruiter.getReceptionist(),
-                recruiter.isHasAccess(),
-                recruiter.getRegisteredOn()
+                recruiter.getPhoneNumber()
         );
     }
@@ -60,5 +23,4 @@
         );
     }
-
 //    Using MapStruct:
 //    RecruiterMapper INSTANCE = Mappers.getMapper(RecruiterMapper.class);
